ALTER TABLE base_urls CHANGE id baseUrlId INT NOT NULL AUTO_INCREMENT;

ALTER TABLE comments CHANGE `state` commentState VARCHAR(255) NOT NULL;
ALTER TABLE comments CHANGE topicTitle pageTitle VARCHAR(511);
ALTER TABLE comments MODIFY COLUMN page VARCHAR(511) NOT NULL;

ALTER TABLE deployments CHANGE deploymentId versionId INT NOT NULL AUTO_INCREMENT;
ALTER TABLE deployments MODIFY COLUMN version VARCHAR(255) NOT NULL;
ALTER TABLE deployments MODIFY COLUMN minVisibleVersion VARCHAR(255) DEFAULT NULL;
RENAME TABLE deployments TO versions;

ALTER TABLE site_user_role MODIFY COLUMN role VARCHAR(255) NOT NULL;

ALTER TABLE platform_credentials MODIFY COLUMN status VARCHAR(255) NOT NULL;

ALTER TABLE comments CHANGE deploymentId versionId INT NOT NULL;

ALTER TABLE base_urls CHANGE deploymentId versionId INT NOT NULL;

ALTER TABLE sites CHANGE commentsModeration commentsModerationPolicy VARCHAR(255) NOT NULL DEFAULT 'all';
ALTER TABLE sites CHANGE allowAnonymous allowAnonymousUser boolean NOT NULL DEFAULT false;
ALTER TABLE sites MODIFY COLUMN name VARCHAR(255) NOT NULL;
ALTER TABLE sites MODIFY COLUMN description VARCHAR(511);

ALTER TABLE users MODIFY COLUMN email VARCHAR(320) NOT NULL;
ALTER TABLE users MODIFY COLUMN name VARCHAR(511) NOT NULL;

ALTER TABLE user_details MODIFY COLUMN company VARCHAR(255) NOT NULL;
ALTER TABLE user_details MODIFY COLUMN role VARCHAR(255) NOT NULL;
ALTER TABLE user_details MODIFY COLUMN avatarName VARCHAR(511) DEFAULT NULL;

ALTER TABLE oauth_credentials MODIFY COLUMN oauthUserId VARCHAR(255) NOT NULL;
ALTER TABLE oauth_credentials MODIFY COLUMN oauthProvider VARCHAR(255) NOT NULL;

ALTER TABLE platform_credentials MODIFY COLUMN password VARCHAR(255) NOT NULL;
ALTER TABLE platform_credentials MODIFY COLUMN status VARCHAR(255) NOT NULL DEFAULT 'created';

ALTER TABLE site_user_role MODIFY COLUMN role VARCHAR(255) NOT NULL;

ALTER TABLE temporary_users MODIFY COLUMN name VARCHAR(255) NOT NULL;
ALTER TABLE temporary_users MODIFY COLUMN oauthUserId VARCHAR(255) NOT NULL;
ALTER TABLE temporary_users MODIFY COLUMN oauthProvider VARCHAR(255) NOT NULL;
ALTER TABLE temporary_users MODIFY COLUMN token VARCHAR(255) NOT NULL;
