-- Change the role for the default deleted account to "ROLE_DELETED_DEFAULT"
ALTER TABLE `user_details` MODIFY COLUMN `role` enum('ROLE_USER','ROLE_APPLICATION_ADMIN','ROLE_ANONYMOUS','ROLE_ACCOUNT_DELETED', 'ROLE_DELETED_DEFAULT');
UPDATE `user_details` SET `role`='ROLE_DELETED_DEFAULT' WHERE `userId` IN (SELECT `userId` FROM `users` WHERE `email`='userdeleted@userdeleted.com');

-- Delete the `platform_credentials` entry for the 'ROLE_DELETED_DEFAULT'
DELETE FROM `platform_credentials` WHERE `userId` in (SELECT `userId` FROM `user_details` WHERE `role`='ROLE_DELETED_DEFAULT');
